Bug 63707 - Include rdate in stage2.img for use by %pre scripts
Include rdate in stage2.img for use by %pre scripts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-04-17 13:43 EDT by Philip Pokorny
Modified: 2007-03-26 23:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 15:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philip Pokorny 2002-04-17 13:43:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
A way to automatically set the local clock of a system to the correct time
should be provided by the installer.

hwclock is already included to write a time to the RTC.  rdate would allow
"system time" to be set from an install server.  rdate service is include in the
default servers with xinetd and is simple to enable.
Alternatively, syntax could be added to anaconda, but rdate seems simpler...


Version-Release number of selected component (if applicable):


Additional info:

rdate version 1.2 has patches required to make this work.  /etc/services does
not exist in the install environment and rdate before 1.2 fails with:

   rdate: time/tcp: unknown service

This same problem exists with the rsh, rcp and rlogin programs currently
included in stage2.img  See bug 63706
Comment 1 Jeremy Katz 2002-04-18 14:47:35 EDT
Deferring to a future release
Comment 2 Jeremy Katz 2002-08-19 15:34:45 EDT
Added in cvs
Comment 3 Mike McLean 2002-08-20 11:27:23 EDT
confirmed.
CLOSED->RAWHIDE
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.